Name:		glabels
Version:	3.0.0
Release:	1%{?dist}
Summary:	A program for creating labels and business cards for GNOME

Group:		Applications/Publishing
License:	GPLv3+
URL:		http://www.glabels.org

Source0:	http://ftp.gnome.org/pub/GNOME/sources/glabels/3.0/glabels-%{version}.tar.bz2

BuildRequires:	barcode-devel
BuildRequires:	desktop-file-utils
BuildRequires:	evolution-data-server-devel
BuildRequires:	gettext
BuildRequires:  gnome-doc-utils
BuildRequires:  gnome-doc-utils-stylesheets
BuildRequires:	gtk3-devel
BuildRequires:	iec16022-devel
BuildRequires:	intltool
BuildRequires:	libxml2 >= 2.6
BuildRequires:	librsvg2-devel
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)
BuildRequires:	qrencode-devel
BuildRequires:	zint-devel

Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-doc = %{version}-%{release}
Requires:	%{name}-templates = %{version}-%{release}

%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.


%package	devel
Summary:	Development files and documentation for %{name}
License:	LGPLv3+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description	devel
This package contains the header files and development documentation for
libglabels. 


%package 	doc
License:	GFDL
Summary:	Runtime documentation for %{name}
Group:		Development/Libraries

%description	doc
This package contains the runtime documentation and manual pages for %{name}. 


%package 	libs
License:	LGPLv3+
Summary:	Development files and documentation for %{name}
Group:		Development/Libraries

%description	libs
This package contains the shared libraries for %{name}. 


%package 	templates
License:	MIT
Summary:	The %{name} template database 
Group:		Development/Libraries
## Needs the glabels-libs subpackage for proper ownership of the top-level
## libglabels-3.0 directory in %%_datadir.
Requires:	%{name}-libs

%description	templates
This package contains the template database for %{name}.


%prep
%setup -q


%build
%configure --enable-gtk-doc
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-install					\
	--vendor=fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original				\
	%{buildroot}%{_datadir}/applications/glabels-3.0.desktop
%find_lang glabels-3.0


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:
if [ $1 -eq 0 ]; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null ||:
fi


%post	libs -p /sbin/ldconfig

%postun	libs -p /sbin/ldconfig


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null ||:


%files -f glabels-3.0.lang
%doc AUTHORS ChangeLog COPYING COPYING.README_FIRST NEWS README TODO
%{_bindir}/glabels-3*
%{_datadir}/applications/fedora-glabels-3.0.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/icons/hicolor/*/apps/glabels-3.0.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-glabels.png
%{_datadir}/mime/packages/glabels-3.0.xml

%files	devel
%doc AUTHORS COPYING-LIBS
%doc %{_datadir}/gtk-doc/html/libglabels-3.0/
%{_includedir}/libglabels-3.0/
%{_includedir}/libglbarcode-3.0/
%{_libdir}/libglabels-3.0.so
%{_libdir}/libglbarcode-3.0.so
%{_libdir}/pkgconfig/libglabels-3.0.pc
%{_libdir}/pkgconfig/libglbarcode-3.0.pc

%files	doc
## Manual ("man") pages are automatically marked as %%doc by RPM. 
%doc AUTHORS COPYING-DOCS
%doc %{_datadir}/gnome/help/glabels-3.0/
%{_mandir}/man?/glabels-3*
%{_datadir}/gtk-doc/html/libglabels-3.0/
%{_datadir}/gtk-doc/html/libglbarcode-3.0/

%files	libs
%doc AUTHORS COPYING-LIBS
%dir %{_datadir}/libglabels-3.0/
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_datadir}/glabels-3.0/
%{_libdir}/libglabels-3.0.so.*
%{_libdir}/libglbarcode-3.0.so.*

%files templates
%doc AUTHORS COPYING-TEMPLATES
%{_datadir}/libglabels-3.0/dtd/
%{_datadir}/libglabels-3.0/templates/


%changelog
* Thu Jun 09 2011 Peter Gordon <peter@thecodergeek.com> - 3.0.0-1
- Update to new upstream development release (3.0.0).
  * Ported to GTK+ 3 and gsettings.
  * Documentation ported to Mallard.
  * Adds native SVG support.
  * Vastly reworked and improved barcode handling.
  * Updated logo and theme-friendly icons.
  * Adds many new templates and updated translations.
  * Undo/Redo capability (from 2.3.0).
  * Updated license from GPLv2+ to GPLv3+ (from 2.3.0).
  * Lots of UI enhancements (from 2.3.0).
- Add glabels-templates subpackage (MIT/X11 License).
- Remove %%defattr lines in %%files listings, and fix scriptlets and buildroot
  usage in accordance with updated packaging guidelines.
- Update Source0 and homepage URLs.
- Remove fix for encodings (now UTF-8 from upstream).
- Other minor (aesthetic) spec fixes.
- Resolves: #706635 (New upstream version available).
- Remove XML_PARSE_HUGE patch (thanks to Maxim Burgerhout)
- Resolves: #676839 (obsolete patch in srpm).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 26 2010 Caolán McNamara <caolanm@redhat.com> - 2.2.8-3
- Rebuild for new evolution 

* Sat Jun 26 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.2.8-2
- Rebuild for new evolution 

* Mon May 24 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.2.8-1
- New upstream release 

* Sat Apr 10 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.2.7-1
- New upstream release 

* Wed Nov 25 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.2.6-1
- New upstream release which fixes bug 528352

* Mon Oct 12 2009 Peter Gordon <peter@thecodergeek.com> - 2.2.5-2
- Apply backported patch from upstream git as a fix for recent changes in
  libxml behavior:
  + libxml-XML_PARSE_HUGE.patch
- Thanks to Ralf Corsepius for the bug report and patch.
- Resolves: #528352 (glabels can't read saved projects)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 29 2009 Peter Gordon <peter@thecodergeek.com> - 2.2.5-1
- Update to new upstream bug-fix release (2.2.5):
  * Fixed spinbutton/adjustment bugs that made glabels unusable with Gtk 2.16.
  * Fixed default preview colors in color combos.
  * Updated german translation.
  * New templates.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Peter Gordon <peter@thecodergeek.com> - 2.2.4-1
- Update to new upstream bug-fix release (2.2.4):
  * Corrected button order in "Open" and "Save as" dialogs.
  * Fixed performance problem when large number of fonts are installed.
  * Corrected several i18n problems.
  * Fixed "paste" bug that created phantom object views.
  * Fixed performance problem when many objects are selected.
  * New templates.  

* Tue Aug 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.3-2
- fix license tag (again)

* Thu Aug 21 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.3-1
- Update to new upstream bug-fix release (2.2.3).
- Drop glabels-batch segfault patch (fixed upstream).
  - fix-batch-segfault.patch 

* Fri Aug 08 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.2-3
- Add patch from Casey Harkins to fix a segfault in glabels-batch:
  + fix-batch-segfault.patch
- Resolves: bug #458473.

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.2-2
- fix license tag

* Tue Mar 04 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.2-1
- Update to new upstream bug-fix release (2.2.2).

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.1-2
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.1-1
- Update to new upstream bug-fix release (2.2.1).

* Mon Jan 14 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.0-1
- Update to new upstream release (2.2.0 Final); Yay!

* Sun Dec 16 2007 Peter Gordon <peter@thecodergeek.com> - 2.1.5-1
- Update to new upstream development snapshot (2.1.5).

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-7
- Rebuild with new BuildID-enabled binutils. 

* Fri Aug 03 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-6
- Update License tagging (GPLv2+). This necessitates a split of two
  subpackages:
  (1) glabels-doc: Runtime documentation for gLabels (GFDLv1.1+)
  (2) glabels-libs: Shared libraries for gLabels (LGPLv2+)
- Fix version in previous %%changelog entry.
- Lots and lots of aesthetic spec file changes.
- Remove X-Fedora category from desktop-file-install invocation.
- Add TODO to installed %%doc files. 

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-5
- Add BR: perl(XML::Parser)
 
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-4
- Mass FC6 rebuild

* Wed Jul 05 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-3
- Add BuildRequires: gettext (#197633)

* Sat Feb 18 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-2
- Bump for fe5 rebuild 

* Sat Jan 01 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-1
- Update to new stable upstream version

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-3
- rebuild

* Thu Jul 7 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-2
- use Source0

* Mon Jul 5 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-1
- Initial fedora extras build

